Summary:        A utility to create or extract preview images in EPS files
Name:           epstool
Version:        3.08
Release:        2%{?dist}
License:        GPLv2+
URL:            http://pages.cs.wisc.edu/~ghost/gsview/epstool.htm
Source0:        https://src.fedoraproject.org/repo/pkgs/epstool/epstool-3.08.tar.gz/465a57a598dbef411f4ecbfbd7d4c8d7/%{name}-%{version}.tar.gz

Patch3000:      epstool-3.08-gcc43.patch

BuildRequires:  make gcc

%description
Epstool is a utility to create or extract preview images in EPS files, fix bounding boxes and convert to bitmaps.

Features:
* Add EPSI, DOS EPS or Mac PICT previews.
* Extract PostScript from DOS EPS files.
* Uses Ghostscript to create preview bitmaps.
* Create a TIFF, WMF, PICT or Interchange preview from part of a bitmap created by Ghostscript.
* works under Win32, Win64, OS/2 and Unix.
* works on little-endian machines (Intel) or big endian (Sun Sparc, Motorola) machines.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build

%install
rm -rf %{buildroot}
install -D -p -m 755 bin/epstool %{buildroot}%{_bindir}/epstool
install -D -p -m 644 doc/epstool.1 %{buildroot}%{_mandir}/man1/epstool.1

%files
%license LICENCE
%doc doc/epstool.htm doc/gsview.css
%{_bindir}/epstool
%{_mandir}/man1/epstool.1.*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.08-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri May 5 2023 Shuo Wang <abushwang@tencent.com> - 3.08-1
- initial build
